﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace OpenAndSaveDialogFile
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<string> question = new List<string>();
        List<string> answer = new List<string>();  
        int questionCount = -1;
        string link {  get; set; }
        public MainWindow(string link)
        {
            InitializeComponent();
            this.link = link;
            ReadSurvey();
        }
        public void ReadSurvey() //Чтение анкетирования
        {
            StreamReader streamReader = new StreamReader(link);
            while (!streamReader.EndOfStream)
                question.Add(streamReader.ReadLine());
            streamReader.Close();
        }
        public void NextQuestion()
        {
            string res = string.Empty;
            if (++questionCount < question.Count)
            {
                QuestionOutput.Text = question[questionCount].ToString();
                AnswerInput.Text = string.Empty;
            }
            else
                MessageBox.Show("Вы прошли анкетирование", "Вопросы закончились");
        }
        public bool SaveAs(List<string> questions, List<string> answer)
        {
            SaveFileDialog save = new SaveFileDialog();
            save.DefaultExt = ".txt";
            save.OverwritePrompt = true;
            Nullable<bool> result = save.ShowDialog();
            if (result == true)
            {
                StreamWriter streamWriter = new StreamWriter(save.FileName);
                for (int i = 0; i < questions.Count && i < answer.Count; i++)
                {
                    streamWriter.WriteLine("Вопрос: " + questions[i]);
                    streamWriter.WriteLine("Ответ: " + answer[i]);
                    streamWriter.WriteLine();
                }
                streamWriter.Close();
                return true;
            }
            else
            {
                return false;
            }
        }
        public void ReadAnswer(string answer)
        {
            this.answer.Add(answer);
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            NextQuestion();
        }
        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            if (!SaveAs(question, answer))
                MessageBox.Show("Ошибка сохранения файла");
        }

        private void btnNext_Click(object sender, RoutedEventArgs e)
        {
            ReadAnswer(AnswerInput.Text);
            NextQuestion();
        }
    }
}
